binfmt-support_2.1.5-1_amd64.deb


Advertisement

Description

binfmt-support - Support for extra binary formats

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name binfmt-support
Package version 2.1.5
Package release 1
Package architecture amd64
Package type deb
Installed size 255 B
Download size 56.87 KB
Official Mirror ftp.br.debian.org
The binfmt_misc kernel module, contained in versions 2.1.43 and later of the
Linux kernel, allows system administrators to register interpreters for
various binary formats based on a magic number or their file extension, and
cause the appropriate interpreter to be invoked whenever a matching file is
executed. Think of it as a more flexible version of the #! executable
interpreter mechanism.
This package provides an 'update-binfmts' script with which package
maintainers can register interpreters to be used with this module without
having to worry about writing their own init.d scripts, and which sysadmins
can use for a slightly higher-level interface to this module.

Alternatives

Package Version Architecture Repository
binfmt-support_2.1.5-1_i386.deb 2.1.5 i386 Debian Main
binfmt-support - - -

Requires

Name Value
init-system-helpers >= 1.18~
libc6 >= 2.14
libpipeline1 >= 1.0.0
lsb-base >= 4.1+Debian3

Download

Type URL
Binary Package binfmt-support_2.1.5-1_amd64.deb
Source Package binfmt-support

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install binfmt-support deb package:
    # sudo apt-get install binfmt-support

Files

Path
/etc/init/binfmt-support.conf
/etc/init.d/binfmt-support
/lib/systemd/system/binfmt-support.service
/usr/lib/binfmt-support/run-detectors
/usr/sbin/update-binfmts
/usr/share/doc/binfmt-support/README.Debian
/usr/share/doc/binfmt-support/TODO.Debian
/usr/share/doc/binfmt-support/changelog.Debian.gz
/usr/share/doc/binfmt-support/changelog.gz
/usr/share/doc/binfmt-support/copyright
/usr/share/doc/binfmt-support/detectors
/usr/share/man/man8/update-binfmts.8.gz

Changelog

2014-08-24 - Colin Watson <cjwatson@debian.org>
binfmt-support (2.1.5-1) unstable; urgency=medium
* New upstream release.
- Add an "update-binfmts --preserve yes" option, mapping to the 'P' flag
in Linux binfmt_misc's flags field (thanks, Riku Voipio; closes:
#758200).
2014-03-30 - Colin Watson <cjwatson@debian.org>
binfmt-support (2.1.4-1) unstable; urgency=medium
* New upstream release.
- Make the Upstart job be a service, not a task (closes: #743018).
2014-02-13 - Colin Watson <cjwatson@debian.org>
binfmt-support (2.1.3-2) unstable; urgency=medium
* Move debian/init.d to just debian/init, which dh_installinit supports
just as well.
* Remove dead code from debian/rules.
* Remove code related to non-dependency-based sysv-rc ordering, since that
is no longer supported (closes: #738505).
2014-02-08 - Colin Watson <cjwatson@debian.org>
binfmt-support (2.1.3-1) unstable; urgency=medium
* New upstream release.
* Policy version 3.9.5: no changes required.
* Refer to /usr/share/common-licenses/GPL-3 in debian/copyright rather
than plain GPL.
* Support parallel builds.
2014-02-07 - Colin Watson <cjwatson@debian.org>
binfmt-support (2.1.2-1) unstable; urgency=medium
* New upstream release.
* Set VERBOSE=1 when running tests so that Automake will print test logs
on failure.
* Move upstream signing key to debian/upstream/signing-key.asc (armoured).
Requires devscripts 2.14.0.
* Add a Homepage field.
* Remove now-unnecessary debian/dirs file.
2013-12-29 - Colin Watson <cjwatson@debian.org>
binfmt-support (2.1.1-1) unstable; urgency=medium
* Convert to a non-native package.
* New upstream release.
- Add a systemd unit file (closes: #716812).
* Switch to git; adjust Vcs-* fields.
* Add a watch file.
2013-11-13 - Colin Watson <cjwatson@debian.org>
binfmt-support (2.0.16) unstable; urgency=low
* Use dh-autoreconf to keep autotools output up to date, especially for
new ports.
* Upgrade to Automake 1.14 and Gnulib 20130805-stable.  gnulib/gets.patch
is no longer needed.
2013-06-07 - Colin Watson <cjwatson@debian.org>
binfmt-support (2.0.15) unstable; urgency=low
* Build-depend on debhelper (>= 9~) directly rather than requiring a
Lintian override for use of 8.9.0.
* Upgrade to Automake 1.13.2 and autotools-dev 20130515.1.
2013-05-22 - Colin Watson <cjwatson@debian.org>
binfmt-support (2.0.14) unstable; urgency=low
* Install Upstart job on Debian as well, following new recommendations in
https://wiki.ubuntu.com/UpstartCompatibleInitScripts.
2012-12-07 - Colin Watson <cjwatson@debian.org>
binfmt-support (2.0.13) unstable; urgency=low
* Drop python build-dependency; fuse is hardly ever available in
autobuilding environments anyway, so it's ineffective.  The test suite
is still useful for manual testing.

See Also

Package Description
binfmtc_0.17-1_amd64.deb Execute C program as script
bing_1.1.3-2_amd64.deb Empirical stochastic bandwidth tester
biniax2-data_1.30-2_all.deb logic game with arcade and tactics modes -- data
biniax2_1.30-2_amd64.deb logic game with arcade and tactics modes
binkd_1.0.4-1_amd64.deb FidoTech TCP/IP mailer
bino_1.6.0-1_amd64.deb 3D video player
bins_1.1.29-16_all.deb Generate static HTML photo albums using XML and EXIF tags
binstats_1.08-8_all.deb Statistics tool for installed programs
binutils-aarch64-linux-gnu_2.25-5_amd64.deb GNU binary utilities, for aarch64-linux-gnu target
binutils-arm-linux-gnueabi_2.25-5_amd64.deb GNU binary utilities, for arm-linux-gnueabi target
binutils-arm-linux-gnueabihf_2.25-5_amd64.deb GNU binary utilities, for arm-linux-gnueabihf target
binutils-arm-none-eabi_2.25-5+5+b1_amd64.deb GNU assembler, linker and binary utilities for ARM Cortex-A/R/M processors
binutils-avr_2.24+Atmel3.4.4-1_amd64.deb Binary utilities supporting Atmel's AVR targets
binutils-dev_2.25-5+deb8u1_amd64.deb GNU binary utilities (BFD development files)
binutils-doc_2.25-5+deb8u1_all.deb Documentation for the GNU assembler, linker and binary utilities
Advertisement
Advertisement